Loading...
Searching...
No Matches
validate_char_for.hpp File Reference

Provides seqan3::views::validate_char_for. More...

`#include <ranges>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/utility/type_traits/basic.hpp>`
`#include <seqan3/utility/views/deep.hpp>`
Include dependency graph for validate_char_for.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

template<alphabet alphabet_type>
auto const | seqan3::views::validate_char_for
| An identity view that throws if an encountered character is not valid for the given alphabet.

## Detailed Description

Provides seqan3::views::validate_char_for.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me